{
  "name": "uni2work",
  "version": "1.0.0",
  "description": "",
  "keywords": [],
  "author": "",
  "license": "ISC",
  "scripts": {
    "start": "run-p frontend:build:watch yesod:start",
    "test": "run-s frontend:test yesod:test",
    "lint": "run-s frontend:lint yesod:lint",
    "yesod:db": "./db.sh",
    "yesod:start": "./start.sh",
    "yesod:lint": "./hlint.sh",
    "yesod:test": "./test.sh",
    "frontend:lint": "eslint frontend/src",
    "frontend:test": "karma start --conf karma.conf.js",
    "frontend:test:watch": "karma start --conf karma.conf.js --single-run false",
    "frontend:build": "webpack",
    "frontend:build:watch": "webpack --watch"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "frontend/src/**/*.js": [
      "eslint",
      "git add"
    ]
  },
  "browserslist": [
    "defaults"
  ],
  "devDependencies": {
    "@babel/cli": "^7.4.4",
    "@babel/core": "^7.4.5",
    "@babel/plugin-proposal-class-properties": "^7.4.4",
    "@babel/plugin-proposal-decorators": "^7.4.4",
    "@babel/preset-env": "^7.4.5",
    "autoprefixer": "^9.5.1",
    "babel-core": "^6.26.3",
    "babel-eslint": "^10.0.1",
    "babel-loader": "^8.0.6",
    "babel-plugin-syntax-dynamic-import": "^6.18.0",
    "babel-plugin-transform-decorators-legacy": "^1.3.5",
    "babel-preset-es2015": "^6.24.1",
    "css-loader": "^2.1.1",
    "eslint": "^5.16.0",
    "extract-text-webpack-plugin": "^4.0.0-beta.0",
    "husky": "^2.3.0",
    "jasmine-core": "^3.4.0",
    "karma": "^4.1.0",
    "karma-chrome-launcher": "^2.2.0",
    "karma-cli": "^2.0.0",
    "karma-jasmine": "^2.0.1",
    "karma-jasmine-html-reporter": "^1.4.2",
    "karma-mocha-reporter": "^2.2.5",
    "karma-webpack": "^3.0.5",
    "lint-staged": "^8.1.7",
    "lodash.debounce": "^4.0.8",
    "node-sass": "^4.12.0",
    "npm-run-all": "^4.1.5",
    "null-loader": "^2.0.0",
    "postcss-loader": "^3.0.0",
    "sass-loader": "^7.1.0",
    "style-loader": "^0.23.1",
    "uglifyjs-webpack-plugin": "^2.1.3",
    "webpack": "^4.32.2",
    "webpack-cli": "^3.3.2"
  },
  "dependencies": {
    "flatpickr": "^4.5.7",
    "npm": "^6.9.0"
  }
}
